# Example windowrule v1
# windowrule = float, ^(kitty)$
# Example windowrule v2
# windowrulev2 = float,class:^(kitty)$,title:^(kitty)$
# See https://wiki.hyprland.org/Configuring/Window-Rules/ for more

windowrulev2 = noshadow, floating:0
windowrule = dimaround,^(polkit)$

windowrule = idleinhibit fullscreen,^(.*)$
windowrule = idleinhibit focus, mpv
windowrule = idleinhibit focus, class:^(.*celluloid.*)$

# firefox Picture-in-Picture
windowrulev2 = float,class:^(firefox)$,title:^(Picture-in-Picture)$
windowrulev2 = pin,class:^(firefox)$,title:^(Picture-in-Picture)$
#windowrulev2 = nofullscreenrequest,class:^(firefox)$,title:^(Picture-in-Picture)$

# firefox figma micro indicator
#windowrulev2 = nofullscreenrequest,class:^(firefox)$,title:^(Firefox — Sharing Indicator)$
windowrulev2 = float,class:^(firefox)$,title:^(Firefox — Sharing Indicator)$

# Common Dialogs
windowrule = float,title:^(Open)$
windowrule = float,title:^(Öffnen von)$
windowrule = size 600 400, title:^(Öffnen von)$
windowrule = float,title:^(Choose Files)$
windowrule = float,title:^(Save As)$
windowrule = float,title:^(Confirm to replace files)$
windowrule = float,title:^(Ersetzung bestätigen)$
windowrule = float,title:^(Kopieren von Dateien)$
windowrule = float,title:^(Anrufe)$
windowrule = float,title:^(Datei ausführen)$
windowrule = float,title:^(File Operation Progress)$
windowrule = float,title:^(Teilen-Hinweis)$
windowrule = float,title:^(Lxpolkit)$
windowrule = float,title:^(Timeshift-gtk)$
windowrule = float,title:^(galculator)$
windowrule = float,title:^(Dateien entpacken)$
windowrulev2 = float,class:^(nm-connection-editor)$
windowrulev2 = float,class:^(sddm-conf)$
windowrule = float, mpv
windowrule = float, Vlc
windowrule = float, file_progress
windowrule = float, confirm
windowrule = float, dialog
windowrule = float, download
windowrule = float, notification
windowrule = float, error
windowrule = float, splash
windowrule = float, confirmreset
windowrule = float, title:Open File
windowrule = float, title:branchdialog
windowrule = float, Lxappearance
windowrule = float, Resources
windowrule = float, Rofi
windowrule = float, class:Viewnior
windowrule = float,feh
windowrule = float, pavucontrol-qt
windowrule = float, pavucontrol
windowrule = float, file-roller
windowrule = float, xarchiver
windowrulev2 = stayfocused, class:^(pinentry-) # fix pinentry losing focus

windowrule = float, title:^(Media viewer)$
windowrule = float, title:^(Volume Control)$

windowrule = float, title:^(BTOP)$
#windowrule = size 1024 768, title:^(BTOP)$
windowrule = center, title:^(BTOP)$

windowrule = float, title:^(sysmontask)$
windowrule = size 1024 768, title:^(sysmontask)$
windowrule = center, title:^(sysmontask)$

windowrule = float, title:^(missioncenter)$
windowrule = size 1024 768, title:^(missioncenter)$
windowrule = center, title:^(missioncenter)$

windowrule = float, title:^(Picture-in-Picture)$
windowrule = size 800 600, title:^(Volume Control)$
windowrule = move 75 44%, title:^(Volume Control)$

windowrulev2 = opacity 0.3 override 0.3 override 0.3 override,class:^(alacritty-bg)$
windowrulev2 = float,class:^(Conky)$
windowrulev2 = nofocus,class:^(Conky)$
windowrulev2 = pin,class:^(Conky)$
windowrulev2 = move 100 100,class:^(Conky)$

# Audio Mixer
windowrule = float,pavucontrol
windowrule = center,pavucontrol
windowrule = float,title:^(NoiseTorch)$
windowrule = float,title:^(Waydroid)$

# Nemo File Roller
windowrule = float,file-roller
windowrule = float,title:(Properties)$

# VPN Connection Dialog
windowrule = float,title:^(VPN Connection)$
windowrule = size 800 200,title:^(VPN Connection)$
windowrule = center,title:^(VPN Connection)$

windowrule = tile,title:^(Microsoft Teams)$

# Quick EDO Connection Dialog
windowrule = float,title:^(vscquick)$
windowrule = size 400 200,title:^(vscquick)$
windowrule = center,title:^(vscquick)$

windowrule = monitor DP-2,title:^(Default - Wine desktop)$
windowrule = fullscreen,title:^(Default - Wine desktop)$
#layerrule = noanim,rofi

#windowrulev2 = float,class:^(libreoffice)$


#layerrule = blur,rofi
#windowrule = blur, title:^(kitty)$


windowrule = float, title:^(Alacritty)$
windowrule = center, title:^(Alacritty)$

windowrule = float, title:^(kitty)$
windowrule = center, title:^(kitty)$
windowrule = size 800 600, title:^(kitty)

windowrule = float, title:^(FontManager)$
windowrule = center, title:^(FontManager)$

windowrule = float, title:^(Celluloid)$
windowrule = center, title:^(Celluloid)$



layerrule = blur, waybar
layerrule = blur, rofi
layerrule = dimaround, rofi